components/python/kombu/kombu-PYVER.p5m
changeset 1890 5a4ef66c42bf
parent 1666 69d14d547e77
child 1948 2d1537e7942d
--- a/components/python/kombu/kombu-PYVER.p5m	Fri May 09 15:56:52 2014 -0700
+++ b/components/python/kombu/kombu-PYVER.p5m	Fri May 09 20:59:20 2014 -0700
@@ -18,16 +18,11 @@
 #
 # CDDL HEADER END
 #
+
+#
 # Copyright (c) 2012, 2014, Oracle and/or its affiliates. All rights reserved.
 #
 
-# importlib is part of python 2.7, but separate in 2.6
-<transform depend type=require fmri=library/python/importlib-27 -> drop>
-# ordereddict is part of python 2.7, but separate in 2.6
-<transform depend type=require fmri=library/python/ordereddict-27 -> drop>
-# The test related file actions have not been included because they will fail
-# in dependency generation until the various test related modules that they
-# need are also provided.
 set name=pkg.fmri \
     value=pkg:/library/python/kombu-$(PYV)@$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
 set name=pkg.summary value="Messaging framework for Python"
@@ -105,22 +100,41 @@
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/utils/url.py
 license kombu.license license=BSD
 
+# force a group dependency on the optional amqp; pkgdepend work is needed to
+# flush this out.
+depend type=group fmri=library/python/amqp-$(PYV)
+
+# force a group dependency on the optional boto; pkgdepend work is needed to
+# flush this out.
+depend type=group fmri=library/python/boto-$(PYV)
+
+# force a group dependency on the optional django; pkgdepend work is needed to
+# flush this out.
+depend type=group fmri=library/python/django-$(PYV)
+
+# force a group dependency on the optional librabbitmq; pkgdepend work is needed
+# to flush this out.
+depend type=group fmri=library/python/librabbitmq-$(PYV)
+
+# force a group dependency on the optional setuptools; pkgdepend work is needed
+# to flush this out.
+depend type=group fmri=library/python/setuptools-$(PYV)
+
+# force a group dependency on the optional sqlalchemy; pkgdepend work is needed
+# to flush this out.
+depend type=group fmri=library/python/sqlalchemy-$(PYV)
+
+# force the rename with an optional dependency on the old name
+depend type=optional \
+    fmri=library/python-2/kombu-$(PYV)@2.5.12,5.12-5.12.0.0.0.41.0
+
 # force a dependency on the Python runtime
 depend type=require fmri=__TBD pkg.debug.depend.file=python$(PYVER) \
     pkg.debug.depend.path=usr/bin
 
-# force a dependency on amqp; pkgdepend work is needed to flush this out.
-depend type=require fmri=library/python/amqp-$(PYV)
-
 # force a dependency on anyjson; pkgdepend work is needed to flush this out.
 depend type=require fmri=library/python/anyjson-$(PYV)
 
-# force a dependency on boto; pkgdepend work is needed to flush this out.
-depend type=require fmri=library/python/boto-$(PYV)
-
-# force a dependency on eventlet; pkgdepend work is needed to flush this out.
-depend type=require fmri=library/python/eventlet-$(PYV)
-
 # force a dependency on importlib; pkgdepend work is needed to flush this out.
 depend type=require fmri=library/python/importlib-$(PYV)
 
@@ -128,14 +142,8 @@
 depend type=require \
     fmri=library/python/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
 
-# force a dependency on librabbitmq; pkgdepend work is needed to flush this out.
-depend type=require fmri=library/python/librabbitmq-$(PYV)
-
 # force a dependency on ordereddict; pkgdepend work is needed to flush this out.
 depend type=require fmri=library/python/ordereddict-$(PYV)
 
 # force a dependency on pyrabbit; pkgdepend work is needed to flush this out.
 depend type=require fmri=library/python/pyrabbit-$(PYV)
-
-# force the rename with an optional dependency on the old name
-depend type=optional fmri=library/python-2/kombu-$(PYV)@2.5.12,5.12-5.12.0.0.0.41.0